## org.biojava.bio.seq.io
Class ProteinRefSeqProcessor

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderFilter
          org.biojava.bio.seq.io.GenbankProcessor
              org.biojava.bio.seq.io.ProteinRefSeqProcessor

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class ProteinRefSeqProcessor

extends GenbankProcessor

Class description

Author:
  Greg Cox

Nested Class Summary
`static class` `ProteinRefSeqProcessor.Factory` Deprecated. Factory which wraps sequence builders in a ProteinRefSeqProcessor

Field Summary

Fields inherited from class org.biojava.bio.seq.io.GenbankProcessor
`features, PROPERTY_GENBANK_ACCESSIONS`

Constructor Summary
`ProteinRefSeqProcessor(SequenceBuilder theDelegate)` Deprecated.

Method Summary

Methods inherited from class org.biojava.bio.seq.io.GenbankProcessor
`addParseErrorListener, addSequenceProperty, endSequence, notifyParseErrorEvent, removeParseErrorListener`

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderFilter
`addFeatureProperty, addSymbols, endFeature, getDelegate, makeSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProteinRefSeqProcessor

    public ProteinRefSeqProcessor(SequenceBuilder theDelegate)

  Deprecated.